<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Building</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Gedung</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Gedung</h4>
                            <div class="card-header-action">
                                <a th:href="@{/masters/building/new}" class="btn btn-primary">+ New</a>

                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9 col-xs-12">

                                </div>
                                <div class="col-md-3 col-xs-12">
                                    <form method="get">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                                                <div class="input-group-append">
                                                    <button class="btn btn-sm btn-primary" type="submit">Search</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>

                            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                                <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                                <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                                <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th> # </th>
                                        <th> Code </th>
                                        <th> Name </th>
                                        <th> Campus </th>
                                        <th> Descriptions </th>
                                        <th> </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listBuilding}">
                                        <td th:text="${(row.index + 1) + (listBuilding.number * listBuilding.size)}"></td>
                                        <td><a th:href="@{/masters/building/edit(id = ${data.id})}" class="btn btn-outline-success btn-sm" th:text="${data.kodeGedung}"></a></td>
                                        <td th:text="${data.namaGedung}"></td>
                                        <td th:text="${data.idKampus.namaKampus}"></td>
                                        <td th:text="${data.keterangan}"></td>
                                        <td>
                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                <i class="fa fa-trash"></i>
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/masters/building/delete(gedung = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                Do you want to delete this data ?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                <button type="submit" class="btn btn-primary">Yes</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


</div>
</body>
</html>